Skip to main content
`Ctrl`+`K`

# EPSReset

Resets the `EPS` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSReset(EPS eps)

Collective

## Input Parameter

- eps - the linear eigensolver context

## Note

This can be used when a problem of different matrix size wants to be solved. All options that have previously been set are preserved, so in a next use the solver configuration is the same, but new sizes for matrices and vectors are allowed.

## See Also

EPS: Eigenvalue Problem Solver, `EPSDestroy()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

## Implementations

EPSReset_RQCG() in src/eps/impls/cg/rqcg/rqcg.c
EPSReset_CISS() in src/eps/impls/ciss/ciss.c
EPSReset_XD() in src/eps/impls/davidson/davidson.c
EPSReset_ARPACK() in src/eps/impls/external/arpack/arpack.c
EPSReset_BLOPEX() in src/eps/impls/external/blopex/blopex.c
EPSReset_ChASE() in src/eps/impls/external/chase/chase.c
EPSReset_Elemental() in src/eps/impls/external/elemental/elemental.cxx
EPSReset_ELPA() in src/eps/impls/external/elpa/elpa.c
EPSReset_EVSL() in src/eps/impls/external/evsl/evsl.c
EPSReset_FEAST() in src/eps/impls/external/feast/feast.c
EPSReset_PRIMME() in src/eps/impls/external/primme/primme.c
EPSReset_ScaLAPACK() in src/eps/impls/external/scalapack/scalapack.c
EPSReset_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c
EPSReset_Lanczos() in src/eps/impls/krylov/lanczos/lanczos.c
EPSReset_LyapII() in src/eps/impls/lyapii/lyapii.c
EPSReset_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages